-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Tempo de geração: 24/04/2024 às 00:31
-- Versão do servidor: 10.4.28-MariaDB
-- Versão do PHP: 8.2.4

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Banco de dados: `db_etechcare`
--

-- --------------------------------------------------------

--
-- Estrutura para tabela `tb_categoria`
--

CREATE TABLE `tb_categoria` (
  `cd_categoria` int(11) NOT NULL,
  `nm_categoria` varchar(45) NOT NULL,
  `st_categoria` char(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estrutura para tabela `tb_chamado`
--

CREATE TABLE `tb_chamado` (
  `cd_chamado` int(11) NOT NULL,
  `ds_chamado` longtext NOT NULL,
  `st_chamado` char(1) NOT NULL,
  `dt_registro_chamado` datetime NOT NULL DEFAULT current_timestamp(),
  `id_categoria` int(11) NOT NULL,
  `id_usuario` int(11) NOT NULL,
  `id_equipamento` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estrutura para tabela `tb_equipamento`
--

CREATE TABLE `tb_equipamento` (
  `cd_equipamento` int(11) NOT NULL,
  `nr_serie` varchar(45) DEFAULT NULL,
  `nr_patrimonio` varchar(45) DEFAULT NULL,
  `ds_equipamento` text NOT NULL,
  `id_local` int(11) NOT NULL,
  `id_tipo_equipamento` int(11) NOT NULL,
  `id_modelo` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Despejando dados para a tabela `tb_equipamento`
--

INSERT INTO `tb_equipamento` (`cd_equipamento`, `nr_serie`, `nr_patrimonio`, `ds_equipamento`, `id_local`, `id_tipo_equipamento`, `id_modelo`) VALUES
(1, '4687648846', '648646684', 'core i5, 16GB ram, ssd 240gb', 1, 1, 1);

-- --------------------------------------------------------

--
-- Estrutura para tabela `tb_historico`
--

CREATE TABLE `tb_historico` (
  `cd_historico` int(11) NOT NULL,
  `dt_registro_historico` datetime NOT NULL DEFAULT current_timestamp(),
  `ds_historico` text NOT NULL,
  `id_chamado` int(11) NOT NULL,
  `id_usuario` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Estrutura para tabela `tb_local`
--

CREATE TABLE `tb_local` (
  `cd_local` int(11) NOT NULL,
  `nm_local` varchar(45) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Despejando dados para a tabela `tb_local`
--

INSERT INTO `tb_local` (`cd_local`, `nm_local`) VALUES
(1, 'laboratório 01'),
(2, 'Laboratório 03');

-- --------------------------------------------------------

--
-- Estrutura para tabela `tb_modelo`
--

CREATE TABLE `tb_modelo` (
  `cd_modelo` int(11) NOT NULL,
  `nm_modelo` varchar(45) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Despejando dados para a tabela `tb_modelo`
--

INSERT INTO `tb_modelo` (`cd_modelo`, `nm_modelo`) VALUES
(1, 'Lenovo ThinkPad L14'),
(2, 'Positivo tivo');

-- --------------------------------------------------------

--
-- Estrutura para tabela `tb_tipo_equipamento`
--

CREATE TABLE `tb_tipo_equipamento` (
  `cd_tipo_equipamento` int(11) NOT NULL,
  `nm_tipo_equipamento` varchar(45) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Despejando dados para a tabela `tb_tipo_equipamento`
--

INSERT INTO `tb_tipo_equipamento` (`cd_tipo_equipamento`, `nm_tipo_equipamento`) VALUES
(2, 'computador'),
(1, 'notebook');

-- --------------------------------------------------------

--
-- Estrutura para tabela `tb_tipo_usuario`
--

CREATE TABLE `tb_tipo_usuario` (
  `cd_tipo_usuario` int(11) NOT NULL,
  `nm_tipo_usuario` varchar(45) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Despejando dados para a tabela `tb_tipo_usuario`
--

INSERT INTO `tb_tipo_usuario` (`cd_tipo_usuario`, `nm_tipo_usuario`) VALUES
(1, 'admin'),
(3, 'cliente'),
(2, 'técnico');

-- --------------------------------------------------------

--
-- Estrutura para tabela `tb_usuario`
--

CREATE TABLE `tb_usuario` (
  `cd_usuario` int(11) NOT NULL,
  `nm_usuario` varchar(45) NOT NULL,
  `nm_email` varchar(45) NOT NULL,
  `cd_senha` varchar(45) NOT NULL,
  `st_usuario` char(1) NOT NULL DEFAULT '1',
  `dt_registro_usuario` datetime NOT NULL DEFAULT current_timestamp(),
  `id_tipo_usuario` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Despejando dados para a tabela `tb_usuario`
--

INSERT INTO `tb_usuario` (`cd_usuario`, `nm_usuario`, `nm_email`, `cd_senha`, `st_usuario`, `dt_registro_usuario`, `id_tipo_usuario`) VALUES
(1, 'claudio', 'claudio.ferrini@etec.sp.gov.br', '202cb962ac59075b964b07152d234b70', '1', '2024-03-26 20:25:38', 1),
(2, 'robson', 'robson.siqueira4@etec.sp.gov.br', '202cb962ac59075b964b07152d234b70', '1', '2024-03-26 20:26:11', 3);

--
-- Índices para tabelas despejadas
--

--
-- Índices de tabela `tb_categoria`
--
ALTER TABLE `tb_categoria`
  ADD PRIMARY KEY (`cd_categoria`),
  ADD UNIQUE KEY `nm_categoria_UNIQUE` (`nm_categoria`);

--
-- Índices de tabela `tb_chamado`
--
ALTER TABLE `tb_chamado`
  ADD PRIMARY KEY (`cd_chamado`),
  ADD KEY `fk_tb_chamado_tb_categoria1_idx` (`id_categoria`),
  ADD KEY `fk_tb_chamado_tb_usuario1_idx` (`id_usuario`),
  ADD KEY `fk_tb_chamado_tb_equipamento1_idx` (`id_equipamento`);

--
-- Índices de tabela `tb_equipamento`
--
ALTER TABLE `tb_equipamento`
  ADD PRIMARY KEY (`cd_equipamento`),
  ADD KEY `fk_tb_equipamento_tb_local1_idx` (`id_local`),
  ADD KEY `fk_tb_equipamento_tb_tipo_equipamento1_idx` (`id_tipo_equipamento`),
  ADD KEY `fk_tb_equipamento_tb_modelo1_idx` (`id_modelo`);

--
-- Índices de tabela `tb_historico`
--
ALTER TABLE `tb_historico`
  ADD PRIMARY KEY (`cd_historico`),
  ADD KEY `fk_tb_historico_tb_chamado1_idx` (`id_chamado`),
  ADD KEY `fk_tb_historico_tb_usuario1_idx` (`id_usuario`);

--
-- Índices de tabela `tb_local`
--
ALTER TABLE `tb_local`
  ADD PRIMARY KEY (`cd_local`);

--
-- Índices de tabela `tb_modelo`
--
ALTER TABLE `tb_modelo`
  ADD PRIMARY KEY (`cd_modelo`),
  ADD UNIQUE KEY `nm_modelo_UNIQUE` (`nm_modelo`);

--
-- Índices de tabela `tb_tipo_equipamento`
--
ALTER TABLE `tb_tipo_equipamento`
  ADD PRIMARY KEY (`cd_tipo_equipamento`),
  ADD UNIQUE KEY `nm_tipo_equipamento_UNIQUE` (`nm_tipo_equipamento`);

--
-- Índices de tabela `tb_tipo_usuario`
--
ALTER TABLE `tb_tipo_usuario`
  ADD PRIMARY KEY (`cd_tipo_usuario`),
  ADD UNIQUE KEY `nm_tipo_usuario_UNIQUE` (`nm_tipo_usuario`);

--
-- Índices de tabela `tb_usuario`
--
ALTER TABLE `tb_usuario`
  ADD PRIMARY KEY (`cd_usuario`),
  ADD UNIQUE KEY `nm_email_UNIQUE` (`nm_email`),
  ADD KEY `fk_tb_usuario_tb_tipo_usuario_idx` (`id_tipo_usuario`);

--
-- AUTO_INCREMENT para tabelas despejadas
--

--
-- AUTO_INCREMENT de tabela `tb_categoria`
--
ALTER TABLE `tb_categoria`
  MODIFY `cd_categoria` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `tb_equipamento`
--
ALTER TABLE `tb_equipamento`
  MODIFY `cd_equipamento` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT de tabela `tb_historico`
--
ALTER TABLE `tb_historico`
  MODIFY `cd_historico` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `tb_local`
--
ALTER TABLE `tb_local`
  MODIFY `cd_local` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT de tabela `tb_modelo`
--
ALTER TABLE `tb_modelo`
  MODIFY `cd_modelo` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT de tabela `tb_tipo_equipamento`
--
ALTER TABLE `tb_tipo_equipamento`
  MODIFY `cd_tipo_equipamento` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT de tabela `tb_tipo_usuario`
--
ALTER TABLE `tb_tipo_usuario`
  MODIFY `cd_tipo_usuario` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT de tabela `tb_usuario`
--
ALTER TABLE `tb_usuario`
  MODIFY `cd_usuario` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- Restrições para tabelas despejadas
--

--
-- Restrições para tabelas `tb_chamado`
--
ALTER TABLE `tb_chamado`
  ADD CONSTRAINT `fk_tb_chamado_tb_categoria1` FOREIGN KEY (`id_categoria`) REFERENCES `tb_categoria` (`cd_categoria`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_tb_chamado_tb_equipamento1` FOREIGN KEY (`id_equipamento`) REFERENCES `tb_equipamento` (`cd_equipamento`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_tb_chamado_tb_usuario1` FOREIGN KEY (`id_usuario`) REFERENCES `tb_usuario` (`cd_usuario`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Restrições para tabelas `tb_equipamento`
--
ALTER TABLE `tb_equipamento`
  ADD CONSTRAINT `fk_tb_equipamento_tb_local1` FOREIGN KEY (`id_local`) REFERENCES `tb_local` (`cd_local`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_tb_equipamento_tb_modelo1` FOREIGN KEY (`id_modelo`) REFERENCES `tb_modelo` (`cd_modelo`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_tb_equipamento_tb_tipo_equipamento1` FOREIGN KEY (`id_tipo_equipamento`) REFERENCES `tb_tipo_equipamento` (`cd_tipo_equipamento`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Restrições para tabelas `tb_historico`
--
ALTER TABLE `tb_historico`
  ADD CONSTRAINT `fk_tb_historico_tb_chamado1` FOREIGN KEY (`id_chamado`) REFERENCES `tb_chamado` (`cd_chamado`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_tb_historico_tb_usuario1` FOREIGN KEY (`id_usuario`) REFERENCES `tb_usuario` (`cd_usuario`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Restrições para tabelas `tb_usuario`
--
ALTER TABLE `tb_usuario`
  ADD CONSTRAINT `fk_tb_usuario_tb_tipo_usuario` FOREIGN KEY (`id_tipo_usuario`) REFERENCES `tb_tipo_usuario` (`cd_tipo_usuario`) ON DELETE NO ACTION ON UPDATE NO ACTION;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
